function UserSlider(in_level, in_slider, in_device, in_channel) {

	function Move() {
		in_slider.X = in_level.X + in_level.Value * in_level.Width / 100 - in_slider.Width * in_level.Value / 100;
	}
	function Set() {
		if (in_channel) {
			in_device.Set(in_channel, in_level.Value);
		}
	}

	IR.AddListener(IR.EVENT_START, 0, Move);

	IR.AddListener(IR.EVENT_MOUSE_MOVE, in_level, Move);
	IR.AddListener(IR.EVENT_TOUCH_MOVE, in_level, Move);
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_level, Move);

   // закомментировано для снижения нагрузки на устройство
	//IR.AddListener(IR.EVENT_MOUSE_MOVE, in_level, Set);
	//IR.AddListener(IR.EVENT_TOUCH_MOVE, in_level, Set);
   IR.AddListener(IR.EVENT_ITEM_RELEASE, in_level, Set);

	IR.SetInterval(1000, Move);
}
