IR.AddListener(IR.EVENT_START,0,function() {
   var device = IR.GetDevice("iBezel");         
   var iBezel_1 = new iBezel(device);
   var UserSliders = [];
   
   IR.AddListener(IR.EVENT_ITEM_RELEASE, IR.GetItem("iBezel_Main").GetItem("dock_manipulation"), function() {
      var state = device.GetFeedback("StatusDock");
      if(state == 0) {
         device.Set("Dock", 1);
      } else if(state == 2) {
         device.Set("Dock", 0);
      }
   });
  
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level"), IR.GetItem("iBezel_Main").GetItem("led_slider_main"), device, "LED0"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 1"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 1"), device, "LED1"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 2"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 2"), device, "LED2"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 3"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 3"), device, "LED3"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 4"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 4"), device, "LED4"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 5"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 5"), device, "LED5"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 6"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 6"), device, "LED6"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 7"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 7"), device, "LED7"));
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("led_slider_level 8"), IR.GetItem("iBezel_Main").GetItem("led_slider_main 8"), device, "LED8"));
   
   UserSliders.push(new UserSlider(IR.GetItem("iBezel_Main").GetItem("volume_slider_level"), IR.GetItem("iBezel_Main").GetItem("volume_slider_main"), device, "Volume"));
});
